cloudimg: no iavf/i40evf module so no network available with SR-IOV enabled cloud

Bug #1848481 reported by Nobuto Murata on 2019-10-17
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Status tracked in Focal
Xenial
Undecided
gerald.yang
Bionic
Undecided
gerald.yang
Disco
Undecided
Nobuto Murata
Eoan
Undecided
Nobuto Murata
Focal
Undecided
Nobuto Murata
livecd-rootfs (Ubuntu)
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

=== SRU Justification ===
[Impact]
Intel's VF drivers such as igbvf and ixgbevf are already available in
generic. It makes sense to add i40evf especially for SR-IOV enabled clouds with Intel X710/XXV710/XL710.

[Fix]
Add i40evf to linux-modules package

[Test]
Extract linux-modules to check if i40evf is there

[Regression Potential]
Low

========= original bug description =========
For example with bionic, i40evf module is in linux-modules-extra-4.15*-generic. However, cloudimg doesn't have linux-modules-extra seeded:

$ curl -s http://cloud-images.ubuntu.com/releases/bionic/release/ubuntu-18.04-server-cloudimg-amd64.manifest | grep linux-
linux-base 4.5ubuntu1
linux-headers-4.15.0-65 4.15.0-65.74
linux-headers-4.15.0-65-generic 4.15.0-65.74
linux-headers-generic 4.15.0.65.67
linux-headers-virtual 4.15.0.65.67
linux-image-4.15.0-65-generic 4.15.0-65.74
linux-image-virtual 4.15.0.65.67
linux-modules-4.15.0-65-generic 4.15.0-65.74
linux-virtual 4.15.0.65.67

We don't need the whole linux-modules-extra because the size is not small, but we need some VF drivers in cloud guest image embedded for SR-IOV enabled cloud including OpenStack. Otherwise, the guest is unusable with no network device.

$ apt show linux-modules-extra-4.15.0-58-generic |& grep Installed-Size
Installed-Size: 171 MB

$ du -h /lib/modules/4.15.0-58-generic/kernel/drivers/net/ethernet/intel/i40evf/i40evf.ko
148K /lib/modules/4.15.0-58-generic/kernel/drivers/net/ethernet/intel/i40evf/i40evf.ko

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: livecd-rootfs (not installed)
ProcVersionSignature: User Name 4.15.0-58.64-generic 4.15.18
Uname: Linux 4.15.0-58-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.7
Architecture: amd64
Date: Thu Oct 17 10:48:41 2019
ProcEnviron:
 TERM=screen-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=C.UTF-8
 SHELL=/bin/bash
SourcePackage: livecd-rootfs
UpgradeStatus: No upgrade log present (probably fresh install)

CVE References

Nobuto Murata (nobuto) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in livecd-rootfs (Ubuntu):
status: New → Confirmed
Nobuto Murata (nobuto) on 2019-10-17
summary: - cloudimg: no i40evf module is available so no network with SR-IOV
- enabled cloud
+ cloudimg: no i40evf module is available so no network available with SR-
+ IOV enabled cloud
summary: - cloudimg: no i40evf module is available so no network available with SR-
- IOV enabled cloud
+ cloudimg: no i40evf module so no network available with SR-IOV enabled
+ cloud

Hmm, ixgbevf is in linux-modules-*-generic on bionic instead of modules-extra. So I'd like i40evf in the same modules-generic set.

linux-modules-4.15.0-65-generic: /lib/modules/4.15.0-65-generic/kernel/drivers/net/ethernet/intel/ixgbevf/ixgbevf.ko

Nobuto Murata (nobuto) on 2019-10-20
summary: - cloudimg: no i40evf module so no network available with SR-IOV enabled
- cloud
+ cloudimg: no iavf/i40evf module so no network available with SR-IOV
+ enabled cloud
Changed in livecd-rootfs (Ubuntu):
status: Confirmed → Invalid
Changed in linux (Ubuntu):
assignee: nobody → Nobuto Murata (nobuto)
status: Confirmed → In Progress
Nobuto Murata (nobuto) wrote :

Have sent to <email address hidden>

tags: added: patch
Nobuto Murata (nobuto) wrote :

Posted again with a proper subscription instead of guest post:
https://lists.ubuntu.com/archives/kernel-team/2019-October/104898.html

Seth Forshee (sforshee) on 2019-10-22
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Nobuto Murata (nobuto) on 2019-10-29
no longer affects: livecd-rootfs (Ubuntu)
Changed in linux (Ubuntu Bionic):
assignee: nobody → gerald.yang (gerald-yang-tw)
description: updated
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in linux (Ubuntu Eoan):
assignee: nobody → gerald.yang (gerald-yang-tw)
Changed in linux (Ubuntu Disco):
assignee: nobody → gerald.yang (gerald-yang-tw)
status: New → In Progress
Changed in linux (Ubuntu Eoan):
status: New → In Progress
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Nobuto Murata (nobuto) on 2019-11-12
Changed in linux (Ubuntu Disco):
assignee: gerald.yang (gerald-yang-tw) → Nobuto Murata (nobuto)
Changed in linux (Ubuntu Eoan):
assignee: gerald.yang (gerald-yang-tw) → Nobuto Murata (nobuto)
Changed in linux (Ubuntu Focal):
status: Fix Committed → In Progress
Nobuto Murata (nobuto) wrote :

I'm just not sure how it can be merged to focal so raised a question:
https://lists.ubuntu.com/archives/kernel-team/2019-November/105393.html

Nobuto Murata (nobuto) wrote :

Marking it back to Fix Committed as I got a clarification.
https://lists.ubuntu.com/archives/kernel-team/2019-November/105480.html

Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in livecd-rootfs (Ubuntu Bionic):
status: New → Invalid
Changed in livecd-rootfs (Ubuntu Disco):
status: New → Invalid
Changed in livecd-rootfs (Ubuntu Eoan):
status: New → Invalid

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Nobuto Murata (nobuto) wrote :

[bionic]

w/o -proposed

ubuntu@bionic:~$ dpkg -L linux-modules-4.15.0-70-generic | grep i40e
/lib/modules/4.15.0-70-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/4.15.0-70-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko
ubuntu@bionic:~$ modinfo i40evf
modinfo: ERROR: Module i40evf not found.

w/ -proposed

ubuntu@bionic:~$ dpkg -L linux-modules-4.15.0-71-generic | grep i40e
/lib/modules/4.15.0-71-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/4.15.0-71-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko
/lib/modules/4.15.0-71-generic/kernel/drivers/net/ethernet/intel/i40evf
/lib/modules/4.15.0-71-generic/kernel/drivers/net/ethernet/intel/i40evf/i40evf.ko
ubuntu@bionic:~$ modinfo i40evf
filename: /lib/modules/4.15.0-71-generic/kernel/drivers/net/ethernet/intel/i40evf/i40evf.ko
version: 3.0.1-k
license: GPL
description: Intel(R) XL710 X710 Virtual Function Network Driver
author: Intel Corporation, <email address hidden>
srcversion: 18F6112020282F659B005E2
alias: pci:v00008086d00001889sv*sd*bc*sc*i*
alias: pci:v00008086d000037CDsv*sd*bc*sc*i*
alias: pci:v00008086d00001571sv*sd*bc*sc*i*
alias: pci:v00008086d0000154Csv*sd*bc*sc*i*
depends:
retpoline: Y
intree: Y
name: i40evf
vermagic: 4.15.0-71-generic SMP mod_unload
signat: PKCS#7
signer:
sig_key:
sig_hashalgo: md4

tags: added: verification-done-bionic
removed: verification-needed-bionic
Nobuto Murata (nobuto) wrote :

[disco]

w/o -proposed

multipass@disco:~$ dpkg -L linux-modules-5.0.0-36-generic | egrep 'i40e|iavf'
/lib/modules/5.0.0-36-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/5.0.0-36-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko

multipass@disco:~$ modinfo iavf
modinfo: ERROR: Module iavf not found.

w/ -proposed

multipass@disco:~$ dpkg -L linux-modules-5.0.0-37-generic | egrep 'i40e|iavf'
/lib/modules/5.0.0-37-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/5.0.0-37-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko
/lib/modules/5.0.0-37-generic/kernel/drivers/net/ethernet/intel/iavf
/lib/modules/5.0.0-37-generic/kernel/drivers/net/ethernet/intel/iavf/iavf.ko

multipass@disco:~$ modinfo iavf | head -n 20
filename: /lib/modules/5.0.0-37-generic/kernel/drivers/net/ethernet/intel/iavf/iavf.ko
version: 3.2.3-k
license: GPL v2
description: Intel(R) Ethernet Adaptive Virtual Function Network Driver
author: Intel Corporation, <email address hidden>
alias: i40evf
srcversion: BA57B7333D3CCB0A335EBC2
alias: pci:v00008086d00001889sv*sd*bc*sc*i*
alias: pci:v00008086d000037CDsv*sd*bc*sc*i*
alias: pci:v00008086d00001571sv*sd*bc*sc*i*
alias: pci:v00008086d0000154Csv*sd*bc*sc*i*
depends:
retpoline: Y
intree: Y
name: iavf
vermagic: 5.0.0-37-generic SMP mod_unload
sig_id: PKCS#7
signer:
sig_key:
sig_hashalgo: md4

tags: added: verification-done-disco
removed: verification-needed-disco
Nobuto Murata (nobuto) wrote :

[eoan]

w/o -proposed

multipass@eoan:~$ dpkg -L linux-modules-5.3.0-23-generic | egrep 'i40e|iavf'
/lib/modules/5.3.0-23-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/5.3.0-23-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko

multipass@eoan:~$ modinfo iavf
modinfo: ERROR: Module iavf not found.

w/ -proposed

multipass@eoan:~$ dpkg -L linux-modules-5.3.0-24-generic | egrep 'i40e|iavf'
/lib/modules/5.3.0-24-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/5.3.0-24-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko
/lib/modules/5.3.0-24-generic/kernel/drivers/net/ethernet/intel/iavf
/lib/modules/5.3.0-24-generic/kernel/drivers/net/ethernet/intel/iavf/iavf.ko

multipass@eoan:~$ modinfo iavf | head -n 20
filename: /lib/modules/5.3.0-24-generic/kernel/drivers/net/ethernet/intel/iavf/iavf.ko
version: 3.2.3-k
license: GPL v2
description: Intel(R) Ethernet Adaptive Virtual Function Network Driver
author: Intel Corporation, <email address hidden>
alias: i40evf
srcversion: 00921F94A92770CAD7CA1B0
alias: pci:v00008086d00001889sv*sd*bc*sc*i*
alias: pci:v00008086d000037CDsv*sd*bc*sc*i*
alias: pci:v00008086d00001571sv*sd*bc*sc*i*
alias: pci:v00008086d0000154Csv*sd*bc*sc*i*
depends:
retpoline: Y
intree: Y
name: iavf
vermagic: 5.3.0-24-generic SMP mod_unload
sig_id: PKCS#7
signer: Build time autogenerated kernel key
sig_key: 37:BE:2D:4B:1D:D5:90:E9:EB:DD:1F:9B:10:21:1D:97:58:77:1C:1B
sig_hashalgo: sha512

tags: added: verification-done-eoan
removed: verification-needed-eoan
Changed in linux (Ubuntu Xenial):
assignee: nobody → gerald.yang (gerald-yang-tw)
status: New → In Progress
Stefan Bader (smb) wrote :

The submitted patch was not cleanly applying to Xenial. I adjusted the context when committing.

Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (19.3 KiB)

This bug was fixed in the package linux - 5.0.0-37.40

---------------
linux (5.0.0-37.40) disco; urgency=medium

  * disco/linux: 5.0.0-37.40 -proposed tracker (LP: #1852253)

  * System hangs at early boot (LP: #1851216)
    - x86/timer: Skip PIT initialization on modern chipsets

  * drm/i915: Add support for another CMP-H PCH (LP: #1848491)
    - drm/i915/cml: Add second PCH ID for CMP

  * Some EFI systems fail to boot in efi_init() when booted via maas
    (LP: #1851810)
    - efi: efi_get_memory_map -- increase map headroom

  * seccomp: fix SECCOMP_USER_NOTIF_FLAG_CONTINUE test (LP: #1849281)
    - SAUCE: seccomp: avoid overflow in implicit constant conversion
    - SAUCE: seccomp: rework define for SECCOMP_USER_NOTIF_FLAG_CONTINUE
    - SAUCE: seccomp: fix SECCOMP_USER_NOTIF_FLAG_CONTINUE test

  * dkms artifacts may expire from the pool (LP: #1850958)
    - [Packaging] dkms -- try launchpad librarian for pool downloads
    - [Packaging] dkms -- dkms-build quieten wget verbiage

  * update ENA driver to version 2.1.0 (LP: #1850175)
    - net: ena: fix swapped parameters when calling
      ena_com_indirect_table_fill_entry
    - net: ena: fix: Free napi resources when ena_up() fails
    - net: ena: fix incorrect test of supported hash function
    - net: ena: fix return value of ena_com_config_llq_info()
    - net: ena: improve latency by disabling adaptive interrupt moderation by
      default
    - net: ena: fix ena_com_fill_hash_function() implementation
    - net: ena: add handling of llq max tx burst size
    - net: ena: ethtool: add extra properties retrieval via get_priv_flags
    - net: ena: replace free_tx/rx_ids union with single free_ids field in
      ena_ring
    - net: ena: arrange ena_probe() function variables in reverse christmas tree
    - net: ena: add newline at the end of pr_err prints
    - net: ena: documentation: update ena.txt
    - net: ena: allow automatic fallback to polling mode
    - net: ena: add support for changing max_header_size in LLQ mode
    - net: ena: optimise calculations for CQ doorbell
    - net: ena: add good checksum counter
    - net: ena: use dev_info_once instead of static variable
    - net: ena: add MAX_QUEUES_EXT get feature admin command
    - net: ena: enable negotiating larger Rx ring size
    - net: ena: make ethtool show correct current and max queue sizes
    - net: ena: allow queue allocation backoff when low on memory
    - net: ena: add ethtool function for changing io queue sizes
    - net: ena: remove inline keyword from functions in *.c
    - net: ena: update driver version from 2.0.3 to 2.1.0
    - net: ena: Fix bug where ring allocation backoff stopped too late
    - Revert "net: ena: ethtool: add extra properties retrieval via
      get_priv_flags"
    - net: ena: don't wake up tx queue when down
    - net: ena: clean up indentation issue

  * Add Intel Comet Lake ethernet support (LP: #1848555)
    - SAUCE: e1000e: Add support for Comet Lake

  * Intel Wireless AC 3168 on Eoan complaints FW error in SYNC CMD
    GEO_TX_POWER_LIMIT (LP: #1846016)
    - iwlwifi: exclude GEO SAR support for 3168

  * tsc marked unstable after entered PC10 on Intel CoffeeLake (LP: #1840239...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (33.2 KiB)

This bug was fixed in the package linux - 5.3.0-24.26

---------------
linux (5.3.0-24.26) eoan; urgency=medium

  * eoan/linux: 5.3.0-24.26 -proposed tracker (LP: #1852232)

  * Eoan update: 5.3.9 upstream stable release (LP: #1851550)
    - io_uring: fix up O_NONBLOCK handling for sockets
    - dm snapshot: introduce account_start_copy() and account_end_copy()
    - dm snapshot: rework COW throttling to fix deadlock
    - Btrfs: fix inode cache block reserve leak on failure to allocate data space
    - btrfs: qgroup: Always free PREALLOC META reserve in
      btrfs_delalloc_release_extents()
    - iio: adc: meson_saradc: Fix memory allocation order
    - iio: fix center temperature of bmc150-accel-core
    - libsubcmd: Make _FORTIFY_SOURCE defines dependent on the feature
    - perf tests: Avoid raising SEGV using an obvious NULL dereference
    - perf map: Fix overlapped map handling
    - perf script brstackinsn: Fix recovery from LBR/binary mismatch
    - perf jevents: Fix period for Intel fixed counters
    - perf tools: Propagate get_cpuid() error
    - perf annotate: Propagate perf_env__arch() error
    - perf annotate: Fix the signedness of failure returns
    - perf annotate: Propagate the symbol__annotate() error return
    - perf annotate: Fix arch specific ->init() failure errors
    - perf annotate: Return appropriate error code for allocation failures
    - perf annotate: Don't return -1 for error when doing BPF disassembly
    - staging: rtl8188eu: fix null dereference when kzalloc fails
    - RDMA/siw: Fix serialization issue in write_space()
    - RDMA/hfi1: Prevent memory leak in sdma_init
    - RDMA/iw_cxgb4: fix SRQ access from dump_qp()
    - RDMA/iwcm: Fix a lock inversion issue
    - HID: hyperv: Use in-place iterator API in the channel callback
    - kselftest: exclude failed TARGETS from runlist
    - selftests/kselftest/runner.sh: Add 45 second timeout per test
    - nfs: Fix nfsi->nrequests count error on nfs_inode_remove_request
    - arm64: cpufeature: Effectively expose FRINT capability to userspace
    - arm64: Fix incorrect irqflag restore for priority masking for compat
    - arm64: ftrace: Ensure synchronisation in PLT setup for Neoverse-N1 #1542419
    - tty: serial: owl: Fix the link time qualifier of 'owl_uart_exit()'
    - tty: serial: rda: Fix the link time qualifier of 'rda_uart_exit()'
    - serial/sifive: select SERIAL_EARLYCON
    - tty: n_hdlc: fix build on SPARC
    - misc: fastrpc: prevent memory leak in fastrpc_dma_buf_attach
    - RDMA/core: Fix an error handling path in 'res_get_common_doit()'
    - RDMA/cm: Fix memory leak in cm_add/remove_one
    - RDMA/nldev: Reshuffle the code to avoid need to rebind QP in error path
    - RDMA/mlx5: Do not allow rereg of a ODP MR
    - RDMA/mlx5: Order num_pending_prefetch properly with synchronize_srcu
    - RDMA/mlx5: Add missing synchronize_srcu() for MW cases
    - gpio: max77620: Use correct unit for debounce times
    - fs: cifs: mute -Wunused-const-variable message
    - arm64: vdso32: Fix broken compat vDSO build warnings
    - arm64: vdso32: Detect binutils support for dmb ishld
    - serial: mctrl_gpio: Check for NULL pointer
    - serial: 8250_...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (28.6 KiB)

This bug was fixed in the package linux - 4.15.0-72.81

---------------
linux (4.15.0-72.81) bionic; urgency=medium

  * bionic/linux: 4.15.0-72.81 -proposed tracker (LP: #1854027)

  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX
    (LP: #1853326)
    - Revert "arm64: Use firmware to detect CPUs that are not affected by
      Spectre-v2"
    - Revert "arm64: Get rid of __smccc_workaround_1_hvc_*"

  * [Regression] Bionic kernel 4.15.0-71.80 can not boot on ThunderX2 and
    Kunpeng920 (LP: #1852723)
    - SAUCE: arm64: capabilities: Move setup_boot_cpu_capabilities() call to
      correct place

linux (4.15.0-71.80) bionic; urgency=medium

  * bionic/linux: 4.15.0-71.80 -proposed tracker (LP: #1852289)

  * Bionic update: upstream stable patchset 2019-10-29 (LP: #1850541)
    - panic: ensure preemption is disabled during panic()
    - f2fs: use EINVAL for superblock with invalid magic
    - [Config] updateconfigs for USB_RIO500
    - USB: rio500: Remove Rio 500 kernel driver
    - USB: yurex: Don't retry on unexpected errors
    - USB: yurex: fix NULL-derefs on disconnect
    - USB: usb-skeleton: fix runtime PM after driver unbind
    - USB: usb-skeleton: fix NULL-deref on disconnect
    - xhci: Fix false warning message about wrong bounce buffer write length
    - xhci: Prevent device initiated U1/U2 link pm if exit latency is too long
    - xhci: Check all endpoints for LPM timeout
    - usb: xhci: wait for CNR controller not ready bit in xhci resume
    - USB: adutux: fix use-after-free on disconnect
    - USB: adutux: fix NULL-derefs on disconnect
    - USB: adutux: fix use-after-free on release
    - USB: iowarrior: fix use-after-free on disconnect
    - USB: iowarrior: fix use-after-free on release
    - USB: iowarrior: fix use-after-free after driver unbind
    - USB: usblp: fix runtime PM after driver unbind
    - USB: chaoskey: fix use-after-free on release
    - USB: ldusb: fix NULL-derefs on driver unbind
    - serial: uartlite: fix exit path null pointer
    - USB: serial: keyspan: fix NULL-derefs on open() and write()
    - USB: serial: ftdi_sio: add device IDs for Sienna and Echelon PL-20
    - USB: serial: option: add Telit FN980 compositions
    - USB: serial: option: add support for Cinterion CLS8 devices
    - USB: serial: fix runtime PM after driver unbind
    - USB: usblcd: fix I/O after disconnect
    - USB: microtek: fix info-leak at probe
    - USB: dummy-hcd: fix power budget for SuperSpeed mode
    - usb: renesas_usbhs: gadget: Do not discard queues in
      usb_ep_set_{halt,wedge}()
    - usb: renesas_usbhs: gadget: Fix usb_ep_set_{halt,wedge}() behavior
    - USB: legousbtower: fix slab info leak at probe
    - USB: legousbtower: fix deadlock on disconnect
    - USB: legousbtower: fix potential NULL-deref on disconnect
    - USB: legousbtower: fix open after failed reset request
    - USB: legousbtower: fix use-after-free on release
    - staging: vt6655: Fix memory leak in vt6655_probe
    - iio: adc: ad799x: fix probe error handling
    - iio: adc: axp288: Override TS pin bias current for some models
    - iio: light: opt3001: fix mutex unlock race
    - efivar/ssdt: Don't iterate over EFI va...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
gerald.yang (gerald-yang-tw) wrote :

The new kernel in xenial-proposed fixes this issue, i40evf is included in linux-modules
kernel version: 4.4.0-171

old in xenial-update:
dpkg -L linux-modules-4.4.0-170-generic | grep 'i40e'
/lib/modules/4.4.0-170-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/4.4.0-170-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko

new in xenial-proposed:
dpkg -L linux-modules-4.4.0-171-generic | grep i40e
/lib/modules/4.4.0-171-generic/kernel/drivers/net/ethernet/intel/i40evf
/lib/modules/4.4.0-171-generic/kernel/drivers/net/ethernet/intel/i40evf/i40evf.ko
/lib/modules/4.4.0-171-generic/kernel/drivers/net/ethernet/intel/i40e
/lib/modules/4.4.0-171-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (33.2 KiB)

This bug was fixed in the package linux - 5.3.0-24.26

---------------
linux (5.3.0-24.26) eoan; urgency=medium

  * eoan/linux: 5.3.0-24.26 -proposed tracker (LP: #1852232)

  * Eoan update: 5.3.9 upstream stable release (LP: #1851550)
    - io_uring: fix up O_NONBLOCK handling for sockets
    - dm snapshot: introduce account_start_copy() and account_end_copy()
    - dm snapshot: rework COW throttling to fix deadlock
    - Btrfs: fix inode cache block reserve leak on failure to allocate data space
    - btrfs: qgroup: Always free PREALLOC META reserve in
      btrfs_delalloc_release_extents()
    - iio: adc: meson_saradc: Fix memory allocation order
    - iio: fix center temperature of bmc150-accel-core
    - libsubcmd: Make _FORTIFY_SOURCE defines dependent on the feature
    - perf tests: Avoid raising SEGV using an obvious NULL dereference
    - perf map: Fix overlapped map handling
    - perf script brstackinsn: Fix recovery from LBR/binary mismatch
    - perf jevents: Fix period for Intel fixed counters
    - perf tools: Propagate get_cpuid() error
    - perf annotate: Propagate perf_env__arch() error
    - perf annotate: Fix the signedness of failure returns
    - perf annotate: Propagate the symbol__annotate() error return
    - perf annotate: Fix arch specific ->init() failure errors
    - perf annotate: Return appropriate error code for allocation failures
    - perf annotate: Don't return -1 for error when doing BPF disassembly
    - staging: rtl8188eu: fix null dereference when kzalloc fails
    - RDMA/siw: Fix serialization issue in write_space()
    - RDMA/hfi1: Prevent memory leak in sdma_init
    - RDMA/iw_cxgb4: fix SRQ access from dump_qp()
    - RDMA/iwcm: Fix a lock inversion issue
    - HID: hyperv: Use in-place iterator API in the channel callback
    - kselftest: exclude failed TARGETS from runlist
    - selftests/kselftest/runner.sh: Add 45 second timeout per test
    - nfs: Fix nfsi->nrequests count error on nfs_inode_remove_request
    - arm64: cpufeature: Effectively expose FRINT capability to userspace
    - arm64: Fix incorrect irqflag restore for priority masking for compat
    - arm64: ftrace: Ensure synchronisation in PLT setup for Neoverse-N1 #1542419
    - tty: serial: owl: Fix the link time qualifier of 'owl_uart_exit()'
    - tty: serial: rda: Fix the link time qualifier of 'rda_uart_exit()'
    - serial/sifive: select SERIAL_EARLYCON
    - tty: n_hdlc: fix build on SPARC
    - misc: fastrpc: prevent memory leak in fastrpc_dma_buf_attach
    - RDMA/core: Fix an error handling path in 'res_get_common_doit()'
    - RDMA/cm: Fix memory leak in cm_add/remove_one
    - RDMA/nldev: Reshuffle the code to avoid need to rebind QP in error path
    - RDMA/mlx5: Do not allow rereg of a ODP MR
    - RDMA/mlx5: Order num_pending_prefetch properly with synchronize_srcu
    - RDMA/mlx5: Add missing synchronize_srcu() for MW cases
    - gpio: max77620: Use correct unit for debounce times
    - fs: cifs: mute -Wunused-const-variable message
    - arm64: vdso32: Fix broken compat vDSO build warnings
    - arm64: vdso32: Detect binutils support for dmb ishld
    - serial: mctrl_gpio: Check for NULL pointer
    - serial: 8250_...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers